Subject: $USER no longer determines home dir?

From: [email-masked]
Date: Wed, 16 Sep 1998 00:17:24 -0700 (PDT)

I noticed some inconsistent behavior between Pine 3.96 and 4.03 on FreeBSD
2.2.6-STABLE. It's not really specific to just this platform, though. On
our system, we have mail being stored in a file called 'Mailbox' in users'
home directories.

Pine 3.96, when invoked as root, is reading $HOME/Mailbox, where Mailbox
is the value of the Pine variable inbox-path, as defined in
/usr/local/etc/pine.conf.

If you do a plain 'su' to root, $HOME will be /root (or whatever; we have
it as /root). If $HOME is /root and inbox-path is Mailbox, and if
/root/Mailbox does *not* exist, then Pine will produce a cryptic 'cannot
open mailbox Folder' error. If /root/Mailbox does exist, it will be
opened.

If you do a 'su -m' to preserve your environment (not all 'su'
implementations let you do this), $HOME will be the path to your non-root
home directory. Thus, Pine 3.96, when invoked as root, will open your
non-root Mailbox, if it exists.

Pine 4.03, when invoked as root, apparently does not look at the HOME
environment variable to determine the user's home directory. It knows to
look for /root/Mailbox regardless of the environment settings. It's not
looking at $MAIL or $USER, either. Where is it getting the user's home
directory from?

I looked through the release chronology and version changes for 3.96
through 4.03, and nothing about this change was listed. I assume, though,
that it was intentional?

...and another observation: Why does Pico, when you type ctrl-R, always
ask you for the name of a file to insert from "home directory"? It would
be more accurate for it to say "current directory", as that is its actual
behavior.

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------